# Table of contents

* [Introduction](README.md)
* [Take it for a spin](take-it-for-a-spin.md)

## OpenMetadata APIs

* [Schemas](openmetadata-apis/schemas/README.md)
  * [Schema Language](openmetadata-apis/schemas/schema-language.md)
  * [Schema Concepts](openmetadata-apis/schemas/overview.md)
  * [OpenMetadata Types](openmetadata-apis/schemas/types/README.md)
    * [Basic Types](openmetadata-apis/schemas/types/basic.md)
    * [Audit Log](openmetadata-apis/schemas/types/audit-log.md)
    * [Daily Count](openmetadata-apis/schemas/types/daily-count.md)
    * [Entity Reference](openmetadata-apis/schemas/types/entity-reference.md)
    * [Entity Usage](openmetadata-apis/schemas/types/entity-usage.md)
    * [Jdbc Connection](openmetadata-apis/schemas/types/jdbc-connection.md)
    * [Profile](openmetadata-apis/schemas/types/profile.md)
    * [Schedule](openmetadata-apis/schemas/types/schedule.md)
    * [Tag Label](openmetadata-apis/schemas/types/tag-label.md)
    * [Usage Details](openmetadata-apis/schemas/types/usage-details.md)
  * [OpenMetadata Entities](openmetadata-apis/schemas/entities/README.md)
    * [Bot](openmetadata-apis/schemas/entities/bot.md)
    * [Dashboard](openmetadata-apis/schemas/entities/dashboard.md)
    * [Database](openmetadata-apis/schemas/entities/database.md)
    * [Database Service](openmetadata-apis/schemas/entities/database-service.md)
    * [Feed](openmetadata-apis/schemas/entities/thread.md)
    * [Metrics](openmetadata-apis/schemas/entities/metrics.md)
    * [Pipeline](openmetadata-apis/schemas/entities/pipeline.md)
    * [Report](openmetadata-apis/schemas/entities/report.md)
    * [Table](openmetadata-apis/schemas/entities/table.md)
    * [Team](openmetadata-apis/schemas/entities/team.md)
    * [Tag Category](openmetadata-apis/schemas/entities/tag-category.md)
    * [User](openmetadata-apis/schemas/entities/user.md)
* [APIs](openmetadata-apis/apis/README.md)
  * [Overview](openmetadata-apis/apis/overview.md)
  * [API Organization](openmetadata-apis/apis/api-organization.md)
  * [Implementation notes](openmetadata-apis/apis/implementation-notes.md)

## Install

* [Run OpenMetadata](install/run-openmetadata.md)
* [Run in Production](install/run-in-production.md)
* [Configuration](install/configuration.md)
* [Enable Security](install/enable-security/README.md)
  * [Google SSO](install/enable-security/google-sso/README.md)
    * [Create Server Credentials](install/enable-security/google-sso/google-server-creds.md)
    * [Create Service Account](install/enable-security/google-sso/create-ingestion-service-account.md)
    * [Configure OpenMetadata Server](install/enable-security/google-sso/google-config.md)
    * [Configure Ingestion](install/enable-security/google-sso/configure-security-ingestion.md)
  * [Okta SSO](install/enable-security/okta-sso/README.md)
    * [Create Server Credentials](install/enable-security/okta-sso/okta-server-creds.md)
    * [Configure OpenMetadata Server](install/enable-security/okta-sso/okta-config.md)
    * [Create Service Account](install/enable-security/okta-sso/create-ingestion-service-account.md)
    * [Configure Ingestion](install/enable-security/okta-sso/configure-security-ingestion.md)
* [Metadata Ingestion](install/metadata-ingestion/README.md)
  * [Ingest Sample Data](install/metadata-ingestion/ingest-sample-data.md)
  * [Connectors](install/metadata-ingestion/connectors/README.md)
    * [MySQL](install/metadata-ingestion/connectors/mysql.md)
    * [Postgres](install/metadata-ingestion/connectors/postgres.md)
    * [Oracle](install/metadata-ingestion/connectors/oracle.md)
    * [MSSQL](install/metadata-ingestion/connectors/mssql.md)
    * [Redshift](install/metadata-ingestion/connectors/redshift.md)
    * [Redshift Usage](install/metadata-ingestion/connectors/redshift-usage.md)
    * [BigQuery](install/metadata-ingestion/connectors/bigquery.md)
    * [Snowflake](install/metadata-ingestion/connectors/snowflake.md)
    * [Snowflake Usage](install/metadata-ingestion/connectors/snowflake-usage.md)
    * [Athena](install/metadata-ingestion/connectors/athena.md)
    * [ElasticSearch](install/metadata-ingestion/connectors/elastic-search.md)
  * [Scheduler](install/metadata-ingestion/scheduler.md)
  * [Airflow](install/metadata-ingestion/airflow.md)

## Open Source Community

* [Community](open-source-community/community.md)
* [Developer](open-source-community/developer/README.md)
  * [Coding Style](open-source-community/developer/coding-style.md)
  * [Build the code & run tests](open-source-community/developer/build-code-run-tests.md)
  * [Run Integration Tests](open-source-community/developer/run-integration-tests.md)
  * [UX Style Guide](open-source-community/developer/ux-style-guide.md)

